import 'dart:async';

import 'package:flutter/services.dart';

class FirebaseAuthUiLogin {
  static const MethodChannel _channel = const MethodChannel('firebase_auth_ui_login');

  static Future<bool> startUi({String appName = "[DEFAULT]"}) async {
    try {
      final data = await _channel.invokeMethod<bool>(
        'startMicrosoftAuthUI',
        <String, dynamic>{'appName': appName},
      );
      if (data == null) return false;

      return data;
    } catch (e) {
      print('firebase_auth_ui_login: error => $e');
      return false;
    }
  }
}
